package ${basePackage}.action.ajax.system;

import org.springframework.beans.factory.annotation.Autowired;
import ${basePackage}.frame.auth.Token;
import ${basePackage}.module.system.mgr.RoleResManager;
import ${basePackage}.module.system.req.RoleResCheckRequest;
import ${basePackage}.module.system.req.RoleResCreateRequest;
import ${basePackage}.module.system.req.RoleResDeleteRequest;
import ${basePackage}.module.system.req.RoleResFindRequest;
import ${basePackage}.module.system.req.RoleResGetRequest;
import ${basePackage}.module.system.req.RoleResUpdateRequest;
import ${basePackage}.module.system.rsp.RoleResCheckResponse;
import ${basePackage}.module.system.rsp.RoleResCreateResponse;
import ${basePackage}.module.system.rsp.RoleResDeleteResponse;
import ${basePackage}.module.system.rsp.RoleResFindResponse;
import ${basePackage}.module.system.rsp.RoleResGetResponse;
import ${basePackage}.module.system.rsp.RoleResUpdateResponse;

public class RoleResAjax {

    @Autowired
    private RoleResManager roleResManager;

    public RoleResCreateResponse create(RoleResCreateRequest request, Token token) {
        return roleResManager.create(request, token);
    }

    public RoleResDeleteResponse delete(RoleResDeleteRequest request, Token token) {
        return roleResManager.delete(request, token);
    }

    public RoleResUpdateResponse update(RoleResUpdateRequest request, Token token) {
        return roleResManager.update(request, token);
    }

    public RoleResFindResponse find(RoleResFindRequest request, Token token) {
        return roleResManager.find(request, token);
    }

    public RoleResGetResponse get(RoleResGetRequest request, Token token) {
        return roleResManager.get(request, token);
    }

    public RoleResCheckResponse check(RoleResCheckRequest request, Token token) {
        return roleResManager.check(request, token);
    }
}
